<?php
/*
 * @file bootstrap.php
 * @description Load defaults
 *
 */

define('HATHOR_NO_RESULTS', 1363);
define('HATHOR_PARTIAL', 1364);

require __DIR__ . '/../3rdparty/autoload.php';
require __DIR__ . '/config.php';
require __DIR__ . '/api/Hathor.php';

$app = new \Slim\Slim(array(
	'debug'       => true,
	'mode'        => 'development',
  'log.writer' => new Hathor\Log,
	'log.enabled' => true,
	'log.level'   => \Slim\Log::DEBUG,
));
$app->add(new \Hathor\DefaultHeaders());
require __DIR__ . '/routes.php';
$app->setName('hwt-thr');
$app->container->singleton('format', function () {
  return new \Hathor\Format();
});



